## freeradius 2.1.10+dfsg

=== Makefile ===
--- 
+++ 
@@ -88,11 +88,13 @@
 endif
 endif
 
-common:
-	@for dir in $(SUBDIRS); do \
-		echo "Making $(WHAT_TO_MAKE) in $$dir..."; \
-		$(MAKE) $(MFLAGS) -C $$dir $(WHAT_TO_MAKE) || exit $$?; \
-	done
+.PHONY: common $(SUBDIRS)
+
+common: $(SUBDIRS)
+
+$(SUBDIRS):
+	@echo "Making $(WHAT_TO_MAKE) in $@..."
+	@$(MAKE) $(MFLAGS) -C $@ $(WHAT_TO_MAKE)
 
 distclean: clean
 	rm -f config.cache config.log config.status libtool \
@@ -113,6 +115,7 @@
 #
 ######################################################################
 reconfig: configure src/include/autoconf.h.in
+	@$(MAKE) $(MFLAGS) -C src reconfig
 
 configure: configure.in aclocal.m4
 	$(AUTOCONF)
