=== src/include/Makefile ===
--- 
+++ 
@@ -13,6 +13,7 @@
 include ../../Make.inc
 .PHONY: all clean distclean install
 
+.PHONY: all clean distclean install reconfig
 all: radpaths.h
 
 radpaths.h: build-radpaths-h
@@ -21,7 +22,7 @@
 distclean:
 	rm -f radpaths.h
 
-clean:
+reconfig clean:
 
 install:
 	$(INSTALL) -d -m 755 $(R)$(includedir)/freeradius
