=== src/modules/rlm_always/Makefile ===
#
# Makefile
#
# Version:	$Id$
#

TARGET		= rlm_always
SRCS		= rlm_always.c

include ../rules.mak
