=== src/modules/rlm_pap/Makefile ===
#
# Makefile
#
# Version:	$Id$
#

TARGET      = rlm_pap
SRCS        = rlm_pap.c

include ../rules.mak
