=== src/modules/rlm_preprocess/Makefile ===
TARGET	= rlm_preprocess
SRCS	= rlm_preprocess.c

include ../rules.mak
