## freeradius 2.1.12%2Bdfsg

=== debian/changelog ===
freeradius (2.1.12+dfsg-1.2ubuntu8) trusty; urgency=medium

  * SECURITY UPDATE: denial of service and possible code execution via
    buffer overflow in rlm_pap module
    - debian/patches/CVE-2013-2015.patch: properly handle buffer size in
      src/modules/rlm_pap/rlm_pap.c.
    - CVE-2014-2015

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 24 Feb 2014 09:13:43 -0500

freeradius (2.1.12+dfsg-1.2ubuntu7) trusty; urgency=medium

  * Patch auto tools files to build on ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 28 Dec 2013 21:40:21 +0100

freeradius (2.1.12+dfsg-1.2ubuntu6) trusty; urgency=low

  * Rebuild for Perl 5.18.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 23 Oct 2013 11:47:40 +0100

freeradius (2.1.12+dfsg-1.2ubuntu5) saucy; urgency=low

  * d/test/test-freeradius.py: Update test setup for switch to
    upstart in 2.1.12+dfsg-1.2ubuntu3, fixing failing DEP-8 tests.

 -- James Page <james.page@ubuntu.com>  Fri, 30 Aug 2013 14:49:35 +0100

freeradius (2.1.12+dfsg-1.2ubuntu4) saucy; urgency=low

  * fix FTBFS:
    - add -lpthread to the libfreeradius.so build
    - add -lssl -lcrypto to the libeap.so build

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 09 Jul 2013 15:35:08 +0200

freeradius (2.1.12+dfsg-1.2ubuntu3) saucy; urgency=low

  * add freeradius.upstart job (LP: #1187742)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 09 Jul 2013 14:34:34 +0200

freeradius (2.1.12+dfsg-1.2ubuntu2) saucy; urgency=low

  * d/tests: added autopkgtests

 -- Yolanda Robla <yolanda.robla@canonical.com>  Fri, 24 May 2013 16:06:20 +0200

freeradius (2.1.12+dfsg-1.2ubuntu1) raring; urgency=low

  * Fix FTBFS with multiarched python.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Sat, 29 Dec 2012 00:54:44 +0200

freeradius (2.1.12+dfsg-1.2) unstable; urgency=high

  * Non-maintainer upload.
  * Fix expired passwords when using the unix module (CVE-2011-4966,
    Closes: #694407).

 -- Kees Cook <kees@debian.org>  Sun, 16 Dec 2012 12:44:35 -0800

freeradius (2.1.12+dfsg-1.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix pre-authentication buffer overflow in EAP handling
    (CVE-2012-3547; Closes: #687175, #687178).

 -- Nico Golde <nion@debian.org>  Tue, 11 Sep 2012 19:38:02 +0200

freeradius (2.1.12+dfsg-1) unstable; urgency=low

  * New upstream version, closes: #675698.
    + Fix for a segmentation fault in rlm_eap, closes: #645998.
  * Backport upstream commits to fix our bug reports:
    + Fix for a crash on SIGHUP in config file handling,
      378f2517357f11f9900c3799c6a469ee2fda7bdf
      ab73a3debf93492804e7af253ba45a7b017a18d1
      closes: #606450
    + Fix for a segmentation fault in radmin through environment variables,
      ce1bb741773b253c4ccf24accccf6305e202a322
      516dbaabf0ea80d0ff0643dc2ae9a10c4d31494c
      closes: #662194
  * Use dpkg-buildflags for configure, by Moritz Muehlenhoff, closes: #657838.
  * Mark rlm_jradius as stable to get it to build and ship, closes: #599067.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Polished packaging a wee bit and updated the Standards-Version.

 -- Josip Rodin <joy-packages@debian.org>  Fri, 29 Jun 2012 14:32:33 +0200

freeradius (2.1.10+dfsg-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: libfreeradius-radius-2.1.10.so: could not read symbols:
    Invalid operation": adjust target dependencies in debian/rules: make sure
    the patch target is not only called for build but also for
    build-{arch,indep}. (Closes: #666311)

 -- gregor herrmann <gregoa@debian.org>  Wed, 02 May 2012 16:58:57 +0200

freeradius (2.1.10+dfsg-3) unstable; urgency=low

  * Fixed the silly error that rendered previous attempts to use the
    right libtool functions useless, hopefully finally closes: #416266.
  * Link radeapclient with libradius to fix linking with binutils-gold,
    closes: #553387.
  * Fix the debug mode crashing when home server doesn't respond to
    a proxied request. Dmitry Borodaenko cherry-picked upstream commits
    540a0515de93d99ef45f97b9114185f159587b51 and
    ab972f1f9b724fc0b71e6ca726078c92ad26bc6b, thanks, closes: #609870.
  * Fixed udpfromto IPv6 breakage because of broken offsetof tests,
    backported upstream b4f0c7ed4dc9811d8dfa982540ed8cb721cc854a
    (one minor change necessary) as well as
    655f0786d60fe02440763df69b1aaf5110706690, as well as the simple
    IPV6_RECVPKTINFO change, hopefully it activates all the right
    modern IPv6 functions and closes: #606866.

 -- Josip Rodin <joy-packages@debian.org>  Thu, 05 May 2011 23:50:20 +0200

freeradius (2.1.10+dfsg-2) unstable; urgency=medium

  * The zombie period start time variable mistakenly got set to a random
    value because of an upstream typo. Cherry-picked upstream commit
    7b7dff7724721f8af5fd163f2292d427a869992d into a Debian patch,
    requested for squeeze in #600465.
  * Since 2.1.9, the daemon stopped reopening the default radius.log file
    constantly, which means the default logrotate setup breaks the default
    logging. D'oh. We now have to send SIGHUP to the daemon as a postrotate
    action, which makes it reopen log files and continue normally.
    * Added delaycompress to the logrotate options, just to be on the safe
      side.
    * Added a reload action into the init script accordingly, so that the
      right pidfile is picked up (one that can be overridden by the admin
      in /etc/default/freeradius, available since the last release).
    * Called reload from the postrotate section, closes: #602815.
    * However, the latter signal also makes the server re-read configuration
      files, but unlike the initial server start, this all happens under
      the unprivileged user. That in turn means that if by any chance there
      is any part of FR configuration that happens not to be readable by
      group freerad (or whatever non-default is configured), the reload
      will fail, effectively silently, as the log has been moved away. Gah.

