=== debian/tests/control ===
Tests: freeradius daemon clients
Depends: freeradius, freeradius-utils, python-unit, lsb-release
Restrictions: needs-root
